Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 245440 - Spurious testcase FAIL: gdb.base/attach.exp: after attach3, exit (timeout)
Summary: Spurious testcase FAIL: gdb.base/attach.exp: after attach3, exit (timeout)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb
Version: 5.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On: 233853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-23 09:06 UTC by Jan Kratochvil
Modified: 2008-01-14 10:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-14 10:34:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Kratochvil 2007-06-23 09:06:17 UTC
Description of problem:
This testcase was always a race with spurious results.
On a change
* Tue Jun 19 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-19
- Fix attaching to stopped processes / pending signals (BZ 209521, 233853).
the probability of FAIL got higher.

Version-Release number of selected component (if applicable):
gdb-6.5-19.el5

How reproducible:
Rarely.

Steps to Reproduce:
1. runtest gdb.base/attach.exp

Actual results:
FAIL: gdb.base/attach.exp: after attach3, exit (timeout)

Expected results:
PASS: gdb.base/attach.exp: after attach3, exit

Additional info:
It was found there occurs:
ptrace(PTRACE_KILL,PID)
waitpid(pid)==pid
waitpid(pid) -> HANGS
The second waitpid should not be called there.

Comment 1 Jan Kratochvil 2007-06-23 09:24:04 UTC
Probably the same reason is for:
FAIL: gdb.pie/attach.exp: (timeout) after attach3, exit


Comment 2 Jan Kratochvil 2008-01-14 10:34:35 UTC
This problem is no longer seen neither in Brew nor in RHTS, older logs were
deleted.  Expecting a consequence of the inappropriate and/or utrace-buggy
kernels in Brew but I did not check it more.



Note You need to log in before you can comment on or make changes to this bug.